Subject: Re: [PATCH 0/4] show-branch: add missing tests, trivial color output fix

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Jun 2021 12:11:43 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> This is a series I've had lying around for a while, when looking at
> the color output for show-branch I noticed it reset and re-enabled
> color for every single space character.
>
> This fixes that, but mostly fixes the mostly non-existing tests for
> that old command it. It still has big blind spots, but now we have
> fewer blind spots.

I am surprised if there are still users of this command that I wrote
only for my own use and that I no longer use more than once every
two months ;-)

Thanks.  Will queue.

>
> Ævar Arnfjörð Bjarmason (4):
>   show-branch tests: rename the one "show-branch" test file
>   show-branch tests: modernize test code
>   show-branch: fix and test --color output
>   show-branch tests: add missing tests
>
>  builtin/show-branch.c          |   9 +-
>  t/t3202-show-branch-octopus.sh |  70 ----------------
>  t/t3202-show-branch.sh         | 149 +++++++++++++++++++++++++++++++++
>  3 files changed, 155 insertions(+), 73 deletions(-)
>  delete mode 100755 t/t3202-show-branch-octopus.sh
>  create mode 100755 t/t3202-show-branch.sh